@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins";
}

#nav-bar {
    width: 100%;
    height: 10vmin;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    background-color: black;

}

#nav-logo {
    width: 30%;
    font-size: 5vmin;
    text-transform: uppercase;
    color: white;
    letter-spacing: 0.1vmin;
}

#nav-list {
    width: 50%;

}

#nav-list ul {
    width: 100%;
    list-style-type: none;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

#nav-list ul li a {
    text-decoration: none;
    color: white;
    font-size: calc(0.5vmin + 1vw);
    letter-spacing: 0.1vmin;

}

#nav-list ul li a:hover {
    border-bottom: 0.2vmin solid #E88D67;
}

#nav-list span {

    display: none;

}

#nav-list span i {
    font-size: 4vmin;
    color: white;

}

.container{
    background-color: white;

}


.intro{
   
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap-reverse;
    width: 100%;
    height: 100%;
    /* background-color:rgb(220,220,220); */
    /* background: rgb(242, 245, 249); */

background: linear-gradient(90deg, rgba(247,246,252,1) 0%, rgba(120, 112, 227, 0.992) 100%);

    /* background-color: brown; */

    /* margin-top: 100px; */

}
.intro_content{
    height: 100%;
    width: 50%;
    /* background-color: #ff9900; */
    padding: 0 2vmin;
}
#content_name{
    font-size: 3vmax;
    margin-bottom: 1vmin;
    margin-top: 5vmin;
    font-weight:600;
}
#content_title{
    font-size: calc(1vmax + 3vw);
    font-weight: 700;
    padding: 2vmin 0;
}
#content_lead{
    font-size:1.5vmax;
    font-weight: 400;
   
    
}
.content_social{
    width: 60vmin;
    height: 10vmin;
    margin-bottom: 4vmin;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    
}
.social_media ul{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;  

}
.social_media ul li{
    list-style-type: none;
    margin: 1vmin 1vmin;
    border: 0.3vmin solid rgb(195, 121, 245);
    border-radius: 50%;
    
    padding: 1vmin 1.9vmin;
    transition: all 0.7s ease-in-out;

    

}
.social_media ul li a{
    text-decoration: none;
    color: black;
   
   
    

}
.social_media ul li:hover{ 
    background-color: rgb(142, 99, 206);

    

}  

    
    


#social_btn button{
    height: 6vmin;
    width: 25vmin;
    border-radius:20vmin;
    /* border: 2px solid black; */
    font-size: calc(1vmax + 0.5vmin);
    font-weight: 600;
    background-color: black;
    color: white;
    padding: 1vmin;
}
#social_btn button a{
    
    color:white;
    text-decoration:none;
}
.intro_img{
    width: 40vmin;
    height :50vmin; 
    margin: 5vmin;
    background-image: url('image/about\ image\ nitesh.jpg');
    background-size:cover ;
    background-repeat: no-repeat;
    border: 0.5vmin solid rgb(255, 255, 255);
    border-radius: 4vmin;
    transform: rotate(3deg);
    transition:transform 0.8s ease-in-out;
}


.intro_img:hover{
    transform: rotate(0deg);
    border: 0.5vmin solid black;
    box-shadow: 4px 4px 12px rgb(97, 31, 202);
}

#info-box{
    padding-top: 10vmin;
    padding-bottom: 7vmin;
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 5vmin;
    
}
/* .info-box-1{
    height: auto;
    width: 80vmin;
   

}


#my_cert{  
    width: 100%;
    font-size: 2vmax;
    font-weight: 600;
    margin-bottom: 5vmin;
  
}
.cert_cards{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.cert_card{
    height: 18vmin;
    width: 100%;
 
    margin-bottom: 3vmin;
    border-radius: 3vmin;
  
   background-color: black;
    transition:all 0.7s ease-in;
    
    animation:my 2s ease 0s 4;
}
.cert_card:hover{
    background-color: rgb(83, 83, 83);
 
  

} */


.info-box-2{
    width: 90vmin;
    height: auto;

}
#my_edu{
   
    width: 100%;
    font-size: 2.5vmax;
    font-weight: 800;
    margin-bottom: 5vmin;
  
}
#my_edu h2{
   
    width: 100%;
    font-size: 3.5vmax;
    font-weight: 700;
  
} 
#my_edu h2 span{
    margin: 0 2vmin;
}

.edu_cards{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.edu_card{
    height: 18vmin;
    width: 100%;
    margin-bottom: 3vmin;
    border-radius: 3vmin;
    padding-left: 5vmin;
   
    display: flex;
    justify-content: center;
    flex-direction: column;
  
   background-color: rgb(231, 235, 238);
    transition:all 0.7s ease-in;

    animation:my 2s ease 0s 4;

}

.edu_card h3{
    font-size: 1.8vmax;
    font-weight: 600;
   
}


.edu_card p{
    font-size: 1.5vmax;
    font-weight: 600;
    color: rgba(120, 112, 227, 0.992);
   


}
.edu_card h4{
    font-size: 1.2vmax;
    font-weight: 700;
   
}
.edu_card:hover{
    background-color: rgb(171, 166, 239);
 
    
}



.my_skills{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: rgba(194, 192, 228, 0.992);
    color:black;
    padding: 4vmin;
}
.skills_header{
   
    width: 100%;
    margin: 4vmin 0;
}
.skills_header h2{
    font-size: 4vmax;
    font-weight: 700;
    text-align: center;


}
.skills_header p{
    font-size: 1.5vmax;
    font-weight: 400;
    text-align: center;
    margin-top: 1vmin;
}
.skills{
   
    width: 100%;
    height: 100%;
   
    display: flex;
  
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;

    margin-top: 1vmin;

    column-gap: 1vmin;
  
}
.skill1{
    width: 15vmax;
    height: 18vmax;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}
.skill1_insider{
    width: 12vmax;
    height: 15vmax;
   
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 3vmin;
    background-color: rgb(250,250,250);
    transition: all 0.8s ease-in-out;

}
.skill1_insider img{
    height: 8vmax;
    width: 8vmax;
    transition: all 0.8s ease;
}
.skill1 p{
    text-align: center;
    font-size: 1.3vmax;
    margin-top: 1vmin;
    font-weight: 600;
  
}
.skill1_insider p{
    color: black;
}


.skill-1_insider:hover {
    background-color: #ff9900;
    
    

}
.skill2_insider:hover{
    background-color: #2cc74a;
   
}
.skill3_insider:hover{
    background-color: #ff3366;
  

}
.skill4_insider:hover{
    background-color: #00aaff;
   

}
.skill5_insider:hover{
    background-color: #ff9900;
  

}
.skill6_insider:hover{
    background-color: #2cc74a;
   

}





/* form..... */
.form{
    display: flex;
   justify-content: space-evenly;
   align-items: center;
    padding: 0 3vmin;
    height: 100%;
    width: 100%;
    margin-top: 13vmin;
   
}
.detail{
    height: 92vmin;
    width: 75vmin;
    
    padding: 3vmin;
    background-color: rgba(194, 192, 228, 0.992);

    border-radius: 2vmin;
}
#heading{
    font-size: 3vmax;
    font-weight: 700;
}
#heading2{
    font-size: 1.3vmax;
    margin-top: 3vmin;
    font-weight: 400;
}
.first_name{
  
    width: 48%;
}

.first_name input{
    width: 100%;
    height: 6vmin;
    font-size: 1.2vmax;
    border-radius: 2vmin;
    border: 0.3vmin solid rgb(0,0,0,1);
    padding-left: 3vmin;

  
}
.first_name input:checked{
    border: 2vmin solid rgb(0, 0, 0,1);
    
}

.form_div{
    display: flex;
    justify-content: center;
    column-gap: 4vmin;
 
    align-items: center;
    
    margin-top: 3vmin;
}
#service select{
    width: 100%;
    height: 6vmin;
    border-radius: 2vmin ;
    margin-top: 4vmin;
    padding: 1vmin 2vmin;
    font-size: 1.2vmax;
    border: 0.3vmin solid rgb(0, 0, 0,1);
    
}
.service select:checked{
    border: 2px solid rgb(0, 0, 0,1);
}
.textarea textarea{
    height: 20vmin;
    width: 100%;
    margin-top: 4vmin;
    border: 0.3vmin solid rgb(0, 0, 0,1);
    border-radius: 2vmin;
    font-size: 1vmax;
    padding-left: 2vmin;
    
}
.textarea textarea:checked{
    border: 2px solid rgb(0, 0, 0,1);
}

.form_button input {
    height: 5vmin;
    font-size: calc(1vmax + 0.5vmin);
    font-weight: 600;
    border-radius: 4vmin;
    padding: 0 2vmin;
    margin-top: 4vmin;
    background-color: black;
    color: white;
    border: none;
    
}
.form_button input:hover{
    box-shadow: 0.2vmin 0.2vmin 2vmin rgb(35, 34, 34);

}






.contact{
    height: 60vmin;
    width: 48%; 
    padding-left: 10vmin;
  

    
}
.contact1 p{
    font-size: 1.2vmax;
    font-weight: 500;
    margin-top: 5vmin;


}
.contact1 p span{
    padding: 2vmin;
}
.contact1 span{
    font-size: calc( 1vmin + 0.8vmax) ;
    font-weight: 600;
    margin: 0.5vmin 0;
}
footer{
    
    height: 100%;
    background-color: rgb(34, 34, 34);
    width: 100%;
    margin-top: 4vmin;
    
    
}
footer .footer-icon ul {
 
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2vmin 0;
}
footer .footer-icon ul li{
   list-style: none;
   margin: 0 4vmin;
   
}
footer .footer-icon ul li a{
   text-decoration: none;
   color: white;
   font-size: 2vmax;
}


footer .footer-text{
  
   display: flex;
   justify-content: center;
   align-items: center;
   color: white;
   justify-content: space-between;
   padding: 2.5vmin;
   background-color: black;

}
.footer-text h2{
   font-size: 1vmax;
   font-weight: 300;
}
.footer-text h3{
   font-size: 1vmax;
   font-weight: 200;
}
.Popup{ width: 40vmin;
    background-color: #ff3366;
        
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%,-50%) scale(0.1);
    text-align: center;
    padding: 0 4vmin 4vmin;
   color: aliceblue;
   visibility: hidden;
   transition: tranform 0.4s, top 0.4s;

}
.open-popup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%,-50%) scale(1);


}
.Popup h1{
    font-size: 10vmin;
    color: black;


}
.Popup h2{
    font-size: 3vmax;

}
.Popup p{
    font-size: calc(1vmax + 1vmin);

}
.Popup button{

    height: 5vmin;
    font-size: calc(1.5vmax + 0.5vmin);
    font-weight: 600;
    border-radius: 4vmin;
    padding: 0 2vmin;
    margin-top: 4vmin;
    background-color: black;
    color: white;
    border: none;
    width: 100%;
    cursor: pointer;
     
}



/* Responsive-------------------- */
@media only screen and (max-width: 450px) {
    #nav-list span {
        display: flex;
        justify-content: end;
        align-items: center;
        color: white;
    }

    #nav-list ul {
        position: absolute;
        width: 100%;
        height: 100vh;

        background-color: rgba(13, 13, 13, 0.9);
        top: 10vmin;
        left: -100%;
        transition: all .5s;
        display: block;
        text-align: center;
        z-index: 999999;


    }

    #nav-list ul li {


        line-height: 30px;
        margin: 4vmin 0.3vmin;


    }

    #nav-list ul li a {
        font-size: 20px;
        padding: 1vmin;
        display: inline-block;
        width: 90vw;
        border-bottom: 0.8px solid rgb(109, 108, 108);
    }

    #nav-list ul.show {
        left: 0;
    }
    .intro_content{
       
        width: 100%; 
    }
    .intro{
        flex-wrap: wrap-reverse;
    }
    .intro_img{
        background-image: url(image/about\ image\ nitesh2.jpg);
    }
    .content_social{
        width: 100%;
        padding: 10vmin;
     
    }
    .skill1{
        width: 13vmax;
        height: 16vmax;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    
    }
    .skill1_insider{
        width: 11vmax;
        height: 13vmax;
       
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-radius: 3vmin;
        background-color: rgb(250,250,250);
        transition: all 0.8s ease-in-out;
    
    }
    .skill1_insider img{
        height: 7vmax;
        width: 7vmax;
    }

    #content_name{
     text-align: center;
    }
    #content_title{
        text-align: center;
        font-size: calc(1.5vmax + 3vw);
        
    }
    #content_lead{
        text-align: center;
       
       
        
    }
    .form{
        display: flex;
        flex-wrap: wrap-reverse;
    }
    .contact{
        height: 100%;
        width: 100%;
        text-align: center;
        padding: 20px;
    
    
    }
    .detail{
        height: 92vmin;
        width: 100%;
    }

   .contact1 p{
    font-size: 1.5vmax;

}

.contact1 span{
    font-size:  1.8vmax;
}
    

}


